#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xwd
Version		:	1.0.7
Release		:	14.4.0.0%{?dist}
Summary		:	Dump an image of an X window
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
Xwd is an X Window System window dumping utility. Xwd allows
X users to store window images in a specially formatted dump
file.
This file can then be read by various other X utilities for
redisplay, printing, editing, formatting, archiving, image
processing, etc. The target window is selected by clicking
the pointer in the desired window. The keyboard bell is rung
once at the beginning of the dump and twice when the dump
is completed.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_PREFIX					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

#%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
